apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: mysql-deployment
spec:
  selector:
    matchLabels:
      app: mysql
  serviceName: "mysql"
  replicas: 1
  template:
    metadata:
      labels:
        app: mysql
    spec:
      containers:
        - name: mysql
          image: "mysql:8.3.0"
          env:
            - name: MYSQL_ROOT_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: mysql-credentials
                  key: password
            - name: MYSQL_URL
              value: "jdbc:mysql://mysql:3306/assignment?allowPublicKeyRetrieval=true"
          ports:
            - containerPort: 3306
